Bug 216304 - dell_rbu and dcdbas modules not being built on i586
dell_rbu and dcdbas modules not being built on i586
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-18 21:29 EST by Matt Domsch
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-23 20:29:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2006-11-18 21:29:19 EST
Description of problem:
FC6 and -devel i586 kernel doesn't have dell_rbu and dcdbas modules built.  i686
and x86_64 have these built.

# CONFIG_DELL_RBU is not set
# CONFIG_DCDBAS is not set

Please enable, especially as anaconda is installing the i586 kernel instead of
i686 on some systems for FC6 (http://fedoraproject.org/wiki/Bugs/FC6Common).

Version-Release number of selected component (if applicable):
2.6.18-1.2849 and some earlier
Comment 1 Matt Domsch 2007-09-21 14:44:45 EDT
Note, this is still the case with kernel 2.6.22.5-49.fc6.i586

$ rpm2cpio kernel-2.6.22.5-49.fc6.i586.rpm | cpio -t | grep firmware
./lib/modules/2.6.22.5-49.fc6/kernel/drivers/firmware
./lib/modules/2.6.22.5-49.fc6/kernel/drivers/firmware/edd.ko
Comment 2 Matt Domsch 2007-09-21 14:47:30 EDT
And still the case with Fedora 7 update kernel-2.6.22.5-76.fc7 and Fedora 8
rawhide kernel.  Note they're built for i686, just not i586.

[mdomsch@humbolt Packages]$ rpm2cpio kernel-2.6.23-0.189.rc6.git8.fc8.i586.rpm |
cpio -t | grep firmware
./lib/modules/2.6.23-0.189.rc6.git8.fc8/kernel/drivers/firmware
./lib/modules/2.6.23-0.189.rc6.git8.fc8/kernel/drivers/firmware/edd.ko
89309 blocks
[mdomsch@humbolt Packages]$ rpm2cpio kernel-2.6.23-0.189.rc6.git8.fc8.i686.rpm |
cpio -t | grep firmware
./lib/modules/2.6.23-0.189.rc6.git8.fc8/kernel/drivers/firmware
./lib/modules/2.6.23-0.189.rc6.git8.fc8/kernel/drivers/firmware/dcdbas.ko
./lib/modules/2.6.23-0.189.rc6.git8.fc8/kernel/drivers/firmware/dell_rbu.ko
./lib/modules/2.6.23-0.189.rc6.git8.fc8/kernel/drivers/firmware/edd.ko
93217 blocks
Comment 3 Chuck Ebbert 2007-09-21 14:59:12 EDT
Fixed in FC6, F7 and rawhide CVS now.
Comment 4 Matt Domsch 2007-09-23 20:29:06 EDT
confirmed fixed in rawhide, I'll believe you for the others.  Closing.

Note You need to log in before you can comment on or make changes to this bug.